Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.eventusermodel.dummyrecord
Class LastCellOfRowDummyRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.eventusermodel.dummyrecord.LastCellOfRowDummyRecord

    public final class LastCellOfRowDummyRecord

extends Record

A dummy record to indicate that we've now had the last cell record for this row.

Constructor Summary
`LastCellOfRowDummyRecord(int row, int lastColumnNumber)`

Method Summary
`int` | `getLastColumnNumber()` Returns the (0 based) number of the last column seen for this row.
`int` | `getRecordSize()` gives the current serialized size of the record.
`int` | `getRow()` Returns the (0 based) number of the row we are currently working on.
`short` | `getSid()` return the non static version of the id for this record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LastCellOfRowDummyRecord

    public LastCellOfRowDummyRecord(int row,
                                    int lastColumnNumber)

Method Detail

### getRow

    public int getRow()

  Returns the (0 based) number of the row we are currently working on.

### getLastColumnNumber

    public int getLastColumnNumber()

  Returns the (0 based) number of the last column seen for this row. You should have already been called with that record. This is -1 in the case of there being no columns for the row.

### getSid

    public final short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `RecordBase`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `RecordBase`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public final int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Specified by:
    `getRecordSize` in class `RecordBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD